FLAC/export.h: export symbols
FLAC C API

## Macros

#define | FLAC_API
#define | FLAC_API_VERSION_CURRENT 11
#define | FLAC_API_VERSION_REVISION 0
#define | FLAC_API_VERSION_AGE 3

## Variables

int | FLAC_API_SUPPORTS_OGG_FLAC

## Detailed Description

This module contains #defines and symbols for exporting function calls, and providing version information and compiled-in features.

If you are compiling with MSVC and will link to the static library (libFLAC.lib) you should define FLAC__NO_DLL in your project to make sure the symbols are exported properly.

## Macro Definition Documentation

#define FLAC_API_VERSION_CURRENT 11

These #defines will mirror the libtool-based library version number, see http://www.gnu.org/software/libtool/manual/libtool.html#Libtool-versioning

#define FLAC_API_VERSION_REVISION 0

see above

#define FLAC_API_VERSION_AGE 3

see above

## Variable Documentation

int FLAC_API_SUPPORTS_OGG_FLAC

`1` if the library has been compiled with support for Ogg FLAC, else `0`.

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |